<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "body-content-wrapper" div.
 *
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo('charset'); ?>" />
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<meta name="viewport" content="width=device-width" />
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<div id="body-content-wrapper">
			
			<header id="hdr-main">
				<div id="hdr-content-wrapper">
					<div id="header-logo">
						<?php
							if ( function_exists( 'the_custom_logo' ) ) :

        						the_custom_logo();
    						endif;

    						$header_text_color = get_header_textcolor();

    						if ( 'blank' !== $header_text_color ) :
						?>	    
							    <div id="site-identity">
							        <a href="<?php echo esc_url( home_url('/') ); ?>"
							           title="<?php esc_attr( get_bloginfo('name') ); ?>">
							        
							        	<h1 class="entry-title">
							        		<?php echo esc_html( get_bloginfo('name') ); ?>
							        	</h1>
							        </a>
							        <strong>
							        	<?php echo esc_html( get_bloginfo('description') ); ?>
							        </strong>
							    </div>
						<?php
							endif;
						?>
					</div><!-- #header-logo -->
					<nav id="navmain">
						<?php wp_nav_menu( array( 'theme_location' => 'primary',
												  'fallback_cb'    => 'wp_page_menu',
												  
												  ) ); ?>
					</nav><!-- #navmain -->
					<div class="clear">
					</div><!-- .clear -->
				</div><!-- #hdr-content-wrapper -->
			</header><!-- #hdr-main -->

			<?php /**
			       * Display Slider
			       */
			?>
			<?php if ( is_front_page() && get_theme_mod('zenearth_slider_display', 0) == 1
							&& zenearth_atleast_2_posts_with_featureimages() ) : ?>
						
					<ul class="pgwSlideshow">
						<?php

							$args = array( 'numberposts' => '5',
					   		   			   'post_status'=>'publish',
					 				);

							$recent_posts = wp_get_recent_posts( $args );

							/**
							 * Iterates through latest 5 Published Posts
							 * if post has thumbnail image, we display it as slide image
							 * else we display the default slider image
							 */
							for ( $i = 0; $i < 5; ++$i ) {

								$recent = $recent_posts[ $i ];
						?>
								<li>
									<?php

										if ( has_post_thumbnail( $recent['ID'] ) ) :

											echo get_the_post_thumbnail( $recent['ID'], 'full');

										endif;
									?>
								</li>
						<?php
							} // end of for

							wp_reset_postdata(); // for wp_get_recent_posts( $args ) query
						?>

		  			</ul><!-- .pgwSlideshow -->

			<?php endif; ?>
